## check-manifest 0.36

=== Makefile ===
PYTHON = python
FILE_WITH_VERSION = check_manifest.py
FILE_WITH_CHANGELOG = CHANGES.rst

.PHONY: all
all:
	@echo "Nothing to build.  Try 'make test' perhaps?"

.PHONY: check test
test:
	detox
check:
	SKIP_NO_TESTS=1 tox

.PHONY: coverage
coverage:
	tox -e coverage

.PHONY: dist
dist:
	$(PYTHON) setup.py -q sdist bdist_wheel

.PHONY: distcheck
distcheck:
	$(PYTHON) check_manifest.py
	# Bit of a chicken-and-egg here, but if the tree is unclean, make
	# distcheck will fail.
	@test -z "`git status -s 2>&1`" || { echo; echo "Your working tree is not clean" 1>&2; git status; exit 1; }
	make dist
	pkg_and_version=`$(PYTHON) setup.py --name`-`$(PYTHON) setup.py --version` && \
	rm -rf tmp && \
	mkdir tmp && \
	git archive --format=tar --prefix=tmp/tree/ HEAD | tar -xf - && \
	cd tmp && \
	tar xvzf ../dist/$$pkg_and_version.tar.gz && \
	diff -ur $$pkg_and_version tree -x PKG-INFO -x setup.cfg -x '*.egg-info' && \
	cd $$pkg_and_version && \
	make dist check && \
	cd .. && \
	mkdir one two && \
	cd one && \
	tar xvzf ../../dist/$$pkg_and_version.tar.gz && \
	cd ../two/ && \
	tar xvzf ../$$pkg_and_version/dist/$$pkg_and_version.tar.gz && \
	cd .. && \
	diff -ur one two -x SOURCES.txt && \
	cd .. && \
	rm -rf tmp && \
	echo "sdist seems to be ok"

.PHONY: releasechecklist
releasechecklist:
	@$(PYTHON) setup.py --version | grep -qv dev || { \
	    echo "Please remove the 'dev' suffix from the version number in $(FILE_WITH_VERSION)"; exit 1; }
	@$(PYTHON) setup.py --long-description | rst2html --exit-status=2 > /dev/null
	@ver_and_date="`$(PYTHON) setup.py --version` (`date +%Y-%m-%d`)" && \
	    grep -q "^$$ver_and_date$$" $(FILE_WITH_CHANGELOG) || { \
	        echo "$(FILE_WITH_CHANGELOG) has no entry for $$ver_and_date"; exit 1; }
	make distcheck

.PHONY: release
release: releasechecklist
	# I'm chicken so I won't actually do these things yet
	@echo "Please run"
	@echo
	@echo "  rm -rf dist && $(PYTHON) setup.py -q sdist bdist_wheel && twine upload dist/* && git tag `$(PYTHON) setup.py --version`"
	@echo
	@echo "Please increment the version number in $(FILE_WITH_VERSION)"
	@echo "and add a new empty entry at the top of the changelog in $(FILE_WITH_CHANGELOG), then"
	@echo
	@echo '  git commit -a -m "Post-release version bump" && git push && git push --tags'
	@echo

=== debian/changelog ===
check-manifest (0.36-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Sergio Durigan Junior ]
  * Re-enable tests.
    I made a mistake when packaging and assumed that the tests required
    internet connection.  They don't.  Therefore, we can re-enable them.
    This also adds the necessary Build-Depends for the tests.
  * Bump d/compat version to 11.

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Sat, 17 Feb 2018 12:31:02 -0500

check-manifest (0.36-1) unstable; urgency=medium

  * Initial release (Closes: #734117)

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Thu, 28 Dec 2017 01:47:13 -0500

=== debian/control ===
Source: check-manifest
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sergio Durigan Junior <sergiodj@sergiodj.net>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11),
	       dh-python,
	       python3-all,
	       python3-setuptools,
# Testsuite dependencies
	       python3-mock,
	       git,
	       mercurial,
	       bzr,
	       subversion,
Standards-Version: 4.1.3
Homepage: https://github.com/mgedmin/check-manifest
X-Python3-Version: >= 3.5
Vcs-Git: https://salsa.debian.org/python-team/modules/check-manifest.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/check-manifest
Testsuite: autopkgtest-pkg-python

Package: check-manifest
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Tool to check the completeness of MANIFEST.in for Python packages (Python 3)
 The check-manifest tool performs a check on a MANIFEST.in file
 from a Python project and verifies its completeness.  It can also
 create a MANIFEST.in file from scratch or append suggestions to it,
 and the user can also ignore certain patterns if needed.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/mgedmin/check-manifest/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## check-manifest 0.37

=== Makefile ===
PYTHON = python
FILE_WITH_VERSION = check_manifest.py
FILE_WITH_CHANGELOG = CHANGES.rst

.PHONY: all
all:
	@echo "Nothing to build.  Try 'make test' perhaps?"

.PHONY: check test
test:
	detox
check:
	SKIP_NO_TESTS=1 tox

.PHONY: coverage
coverage:
	tox -e coverage

.PHONY: distcheck
distcheck: distcheck-self  # also release.mk will add other checks

include release.mk

.PHONY: distcheck-self
distcheck-self:
	$(PYTHON) check_manifest.py

=== debian/changelog ===
check-manifest (0.37-1) unstable; urgency=medium

  * Add d/tests/control.
    Because the package name doesn't start with "python*-", debci doesn't
    automatically run the regular Python tests.  Therefore, we need to
    manually provide the scripts necessary to do it.
  * Update my e-mail address and bump Standards-Version.
  * New upstream version 0.37
  * Remove Testsuite: field from d/control.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 17 Apr 2018 14:37:35 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: check-manifest
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Sergio Durigan Junior <sergiodj@sergiodj.net>
+Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 11),
@@ -13,12 +13,11 @@
 	       mercurial,
 	       bzr,
 	       subversion,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/mgedmin/check-manifest
 X-Python3-Version: >= 3.5
 Vcs-Git: https://salsa.debian.org/python-team/modules/check-manifest.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/check-manifest
-Testsuite: autopkgtest-pkg-python
 
 Package: check-manifest
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=check-manifest
# Needed because the testsuite assumes we're on a UTF-8 environment.
export LC_ALL = C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: run-tests
Depends: @,
	 python3-all,
	 python3-setuptools,
	 python3-mock,
	 git,
	 mercurial,
	 bzr,
	 subversion,
Restrictions: allow-stderr

## check-manifest 0.40

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 .PHONY: check test
 test:
-	detox
+	tox -p auto
 check:
 	SKIP_NO_TESTS=1 tox
 
@@ -19,8 +19,10 @@
 .PHONY: distcheck
 distcheck: distcheck-self  # also release.mk will add other checks
 
+DISTCHECK_DIFF_OPTS = $(DISTCHECK_DIFF_DEFAULT_OPTS) -x .github
 include release.mk
 
 .PHONY: distcheck-self
 distcheck-self:
-	$(PYTHON) check_manifest.py
+	tox -e py3 --notest
+	.tox/py3/bin/check-manifest

=== debian/changelog ===
check-manifest (0.40-1) unstable; urgency=medium

  * New upstream version 0.40.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 19 Oct 2019 20:11:56 -0400

check-manifest (0.39-2) unstable; urgency=medium

  * Bump version for source-only upload.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 08 Oct 2019 00:02:25 -0400

check-manifest (0.39-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Remove ancient X-Python3-Version field.

  [ Sergio Durigan Junior ]
  * New upstream version 0.39.
  * Depend on 'brz' (breezy) instead of 'bzr' (Bazaar).
    Bazaar is being deprecated, and breezy is the replacement for it.  We
    now depend on 'brz' (breezy) for our testing purposes.
  * Build-Depend on python3-toml.
  * Make sure we create $HOME/.config/breezy when testing breezy.
    (Closes: #941558)
  * Bump Standards-Version to 4.4.1.
  * Bump compat version to 12.
  * Cleanup d/watch file.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 02 Oct 2019 10:10:14 -0400

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
 	       dh-python,
 	       python3-all,
 	       python3-setuptools,
+	       python3-toml,
 # Testsuite dependencies
 	       python3-mock,
 	       git,
 	       mercurial,
-	       bzr,
+	       brz,
 	       subversion,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: https://github.com/mgedmin/check-manifest
-X-Python3-Version: >= 3.5
 Vcs-Git: https://salsa.debian.org/python-team/modules/check-manifest.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/check-manifest

=== debian/rules ===
--- 
+++ 
@@ -4,5 +4,8 @@
 # Needed because the testsuite assumes we're on a UTF-8 environment.
 export LC_ALL = C.UTF-8
 
+# See bug #941558.
+export HOME = /tmp
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,6 @@
 	 python3-mock,
 	 git,
 	 mercurial,
-	 bzr,
+	 brz,
 	 subversion,
 Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/mgedmin/check-manifest/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## check-manifest 0.42

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,3 @@
-PYTHON = python
-FILE_WITH_VERSION = check_manifest.py
-FILE_WITH_CHANGELOG = CHANGES.rst
-
 .PHONY: all
 all:
 	@echo "Nothing to build.  Try 'make test' perhaps?"
@@ -16,9 +12,15 @@
 coverage:
 	tox -e coverage
 
+.PHONY: diff-cover
+diff-cover: coverage
+	coverage xml
+	diff-cover coverage.xml
+
 .PHONY: distcheck
 distcheck: distcheck-self  # also release.mk will add other checks
 
+FILE_WITH_VERSION = check_manifest.py
 DISTCHECK_DIFF_OPTS = $(DISTCHECK_DIFF_DEFAULT_OPTS) -x .github
 include release.mk

=== debian/changelog ===
check-manifest (0.42-1) unstable; urgency=medium

  * d/watch: Fetch sources from pypi.debian.net instead of github.com.
    This is better because we end up getting more files that are needed to
    properly build and test everything, like tox.ini.
  * New upstream version 0.42
  * d/control: Bump debhelper-compat to 13.
  * d/control: Bump Standards-Version to 4.5.0.
  * Update dep8 tests to use tox.
    Upstream recommends using tox to run the tests, so that's what we're
    doing.
  * d/control: Remove test dependencies.
    We run the tests using dep8, not during build time.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 02 Aug 2020 12:52:44 -0400

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,12 @@
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 	       dh-python,
 	       python3-all,
 	       python3-setuptools,
 	       python3-toml,
-# Testsuite dependencies
-	       python3-mock,
-	       git,
-	       mercurial,
-	       brz,
-	       subversion,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/mgedmin/check-manifest
 Vcs-Git: https://salsa.debian.org/python-team/modules/check-manifest.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/check-manifest

=== debian/tests/control ===
--- 
+++ 
@@ -7,4 +7,8 @@
 	 mercurial,
 	 brz,
 	 subversion,
+	 tox,
+	 python3-coverage,
+	 python3-nose,
+	 python3-flake8,
 Restrictions: allow-stderr

## check-manifest 0.45

=== Makefile ===
.PHONY: all
all:
	@echo "Nothing to build.  Try 'make test' perhaps?"

.PHONY: test
test:                           ##: run tests
	tox -p auto

.PHONY: check
check:                          ##: run tests without skipping any
# 'make check' is defined in release.mk and here's how you can override it
define check_recipe =
	SKIP_NO_TESTS=1 tox
endef

.PHONY: coverage
coverage:                       ##: measure test coverage
	tox -e coverage

.PHONY: diff-cover
diff-cover: coverage            ##: show untested code in this branch
	coverage xml
	diff-cover coverage.xml

.PHONY: distcheck
distcheck: distcheck-self  # also release.mk will add other checks

.PHONY: distcheck-self
distcheck-self:
	tox -e check-manifest


FILE_WITH_VERSION = check_manifest.py
include release.mk

=== debian/changelog ===
check-manifest (0.45-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sergio Durigan Junior ]
  * New upstream version 0.45
  * d/control: Add test dependencies to Build-Depends.
  * d/rules: Set up tests during to run during build time.
  * d/control: Add Rules-Requires-Root: no.
  * d/tests/*: Revamp autopkgtest and fix it.
    Previously, we were (naively) testing things using tox, which ended up
    running pip, and therefore not testing our package.  The autopkgtest
    has now been rewritten and improved, so that everything is properly
    tested.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 11 Nov 2020 00:39:04 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: check-manifest
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Section: utils
 Priority: optional
@@ -8,10 +8,18 @@
 	       python3-all,
 	       python3-setuptools,
 	       python3-toml,
+	       python3-mock,
+	       git <!nocheck>,
+	       mercurial <!nocheck>,
+	       brz <!nocheck>,
+	       subversion <!nocheck>,
+	       python3-nose <!nocheck>,
+	       python3-pep517 <!nocheck>,
 Standards-Version: 4.5.0
 Homepage: https://github.com/mgedmin/check-manifest
-Vcs-Git: https://salsa.debian.org/python-team/modules/check-manifest.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/check-manifest
+Vcs-Git: https://salsa.debian.org/python-team/packages/check-manifest.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/check-manifest
+Rules-Requires-Root: no
 
 Package: check-manifest
 Architecture: all

## check-manifest 0.46

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,19 @@
 distcheck-self:
 	tox -e check-manifest
 
+.PHONY: releasechecklist
+releasechecklist: check-readme  # also release.mk will add other checks
+
+.PHONY: check-readme
+check-readme:
+	@rev_line='        rev: "'"`$(PYTHON) setup.py --version`"'"' && \
+	    grep -q "^$$rev_line$$" README.rst || { \
+	        echo "README.rst doesn't specify $$rev_line"; \
+	        echo "Please run make update-readme"; exit 1; }
+
+.PHONY: update-readme
+update-readme:
+	sed -i -e 's/rev: ".*"/rev: "$(shell $(PYTHON) setup.py --version)"/' README.rst
 
 FILE_WITH_VERSION = check_manifest.py
 include release.mk

=== debian/changelog ===
check-manifest (0.46-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.46
  * d/p/0001-Make-sure-we-create-HOME-.config-breezy-before-testi.patch:
    Add forwarded tag.

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Tue, 19 Jan 2021 05:00:36 -0300

check-manifest (0.45-2) unstable; urgency=medium

  * d/control: Add python3-build as a B-D. (Closes: #975929)
  * d/control: Bump Standards-Version to 4.5.1.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 06 Dec 2020 18:12:47 -0500

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
 	       python3-setuptools,
 	       python3-toml,
 	       python3-mock,
+	       python3-build (>= 0.1),
 	       git <!nocheck>,
 	       mercurial <!nocheck>,
 	       brz <!nocheck>,
 	       subversion <!nocheck>,
 	       python3-nose <!nocheck>,
 	       python3-pep517 <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/mgedmin/check-manifest
 Vcs-Git: https://salsa.debian.org/python-team/packages/check-manifest.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/check-manifest

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,9 @@
 # See bug #941558.
 export HOME = /tmp
 
+export PYBUILD_BEFORE_TEST = cp {dir}/tests.py {build_dir}
+export PYBUILD_AFTER_TEST = rm {build_dir}/tests.py
+export PYBUILD_TEST_ARGS = --exclude=test_build_sdist
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -8,7 +8,5 @@
 	 brz,
 	 subversion,
 	 tox,
-	 python3-coverage,
 	 python3-nose,
-	 python3-flake8,
-Restrictions: allow-stderr
+Restrictions: allow-stderr, needs-root

## check-manifest 0.49

=== debian/changelog ===
check-manifest (0.49-3) unstable; urgency=medium

  * Team upload.
  * Remove dependency on old mock
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Thu, 28 Mar 2024 23:28:06 +0100

check-manifest (0.49-2) unstable; urgency=medium

  * Team upload.
  * Remove python3-pep517 from build-depends, deprecated and no longer needed

 -- Scott Kitterman <scott@kitterman.com>  Wed, 02 Aug 2023 09:40:34 -0400

check-manifest (0.49-1) unstable; urgency=medium

  * New upstream version 0.49 (Closes: #1023801, #1026518)
  * d/control: Bump Standards-Version to 4.6.2; no changes needed.
  * d/copyright: Update year and email address.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 20 Dec 2022 14:52:47 -0500

check-manifest (0.46-2) unstable; urgency=medium

  * Team upload.
  * Use pytest instead of nose. (Closes: #1018328)
  * Set Standards-Version to 4.6.1.

 -- Emanuele Rocca <ema@debian.org>  Sun, 25 Sep 2022 12:40:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,17 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-	       dh-python,
+	       dh-sequence-python3,
 	       python3-all,
 	       python3-setuptools,
 	       python3-toml,
-	       python3-mock,
 	       python3-build (>= 0.1),
 	       git <!nocheck>,
 	       mercurial <!nocheck>,
 	       brz <!nocheck>,
 	       subversion <!nocheck>,
-	       python3-nose <!nocheck>,
-	       python3-pep517 <!nocheck>,
-Standards-Version: 4.5.1
+	       python3-pytest <!nocheck>,
+Standards-Version: 4.6.2
 Homepage: https://github.com/mgedmin/check-manifest
 Vcs-Git: https://salsa.debian.org/python-team/packages/check-manifest.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/check-manifest

=== debian/watch ===
version=4
https://pypi.debian.net/check-manifest/check-manifest-@ANY_VERSION@@ARCHIVE_EXT@

## check-manifest 0.50

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 .PHONY: all
 all:
-	@echo "Nothing to build.  Try 'make test' perhaps?"
+	@echo "Nothing to build.  Try 'make help' perhaps?"
+
+##: Testing
 
 .PHONY: test
 test:                           ##: run tests
@@ -22,6 +24,74 @@
 	coverage xml
 	diff-cover coverage.xml
 
+##: Linting
+
+.PHONY: lint
+lint:                           ##: run all linters
+	tox -p auto -e flake8,mypy,isort,check-manifest,check-python-versions
+
+.PHONY: flake8
+flake8:                         ##: check for style problems
+	tox -e flake8
+
+.PHONY: isort
+isort:                          ##: check for incorrect import ordering
+	tox -e isort
+
+.PHONY: mypy
+mypy:                           ##: check for type errors
+	tox -e mypy
+
+##: GitHub maintenance
+
+.PHONY: update-github-branch-protection-rules
+
+update-github-branch-protection-rules:  ##: update GitHub branch protection rules
+	gh api -X PUT -H "Accept: application/vnd.github+json" \
+		-H "X-GitHub-Api-Version: 2022-11-28" \
+		/repos/mgedmin/check-manifest/branches/master/protection/required_status_checks/contexts \
+		-f "contexts[]=check-manifest"                         \
+		-f "contexts[]=check-python-versions"                  \
+		-f "contexts[]=flake8"                                 \
+		-f "contexts[]=isort"                                  \
+		-f "contexts[]=mypy"                                   \
+		-f "contexts[]=Python 3.7, bzr"                        \
+		-f "contexts[]=Python 3.7, git"                        \
+		-f "contexts[]=Python 3.7, hg"                         \
+		-f "contexts[]=Python 3.7, svn"                        \
+		-f "contexts[]=Python 3.8, bzr"                        \
+		-f "contexts[]=Python 3.8, git"                        \
+		-f "contexts[]=Python 3.8, hg"                         \
+		-f "contexts[]=Python 3.8, svn"                        \
+		-f "contexts[]=Python 3.9, bzr"                        \
+		-f "contexts[]=Python 3.9, git"                        \
+		-f "contexts[]=Python 3.9, hg"                         \
+		-f "contexts[]=Python 3.9, svn"                        \
+		-f "contexts[]=Python 3.10, bzr"                       \
+		-f "contexts[]=Python 3.10, git"                       \
+		-f "contexts[]=Python 3.10, hg"                        \
+		-f "contexts[]=Python 3.10, svn"                       \
+		-f "contexts[]=Python 3.11, bzr"                       \
+		-f "contexts[]=Python 3.11, git"                       \
+		-f "contexts[]=Python 3.11, hg"                        \
+		-f "contexts[]=Python 3.11, svn"                       \
+		-f "contexts[]=Python 3.12, bzr"                       \
+		-f "contexts[]=Python 3.12, git"                       \
+		-f "contexts[]=Python 3.12, hg"                        \
+		-f "contexts[]=Python 3.12, svn"                       \
+		-f "contexts[]=Python 3.13, bzr"                       \
+		-f "contexts[]=Python 3.13, git"                       \
+		-f "contexts[]=Python 3.13, hg"                        \
+		-f "contexts[]=Python 3.13, svn"                       \
+		-f "contexts[]=Python pypy3.10, bzr"                   \
+		-f "contexts[]=Python pypy3.10, git"                   \
+		-f "contexts[]=Python pypy3.10, hg"                    \
+		-f "contexts[]=Python pypy3.10, svn"                   \
+		-f "contexts[]=continuous-integration/appveyor/branch" \
+		-f "contexts[]=continuous-integration/appveyor/pr"
+
+##: Releasing
+
 .PHONY: distcheck
 distcheck: distcheck-self  # also release.mk will add other checks
 
@@ -35,7 +105,7 @@
 .PHONY: check-readme
 check-readme:
 	@rev_line='        rev: "'"`$(PYTHON) setup.py --version`"'"' && \
-	    grep -q "^$$rev_line$$" README.rst || { \
+	    ! grep "rev: " README.rst | grep -qv "^$$rev_line$$" || { \
 	        echo "README.rst doesn't specify $$rev_line"; \
 	        echo "Please run make update-readme"; exit 1; }
 
@@ -45,3 +115,4 @@
 
 FILE_WITH_VERSION = check_manifest.py
 include release.mk
+HELP_INDENT = "  "

=== debian/changelog ===
check-manifest (0.50-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-toml build-dep

 -- Alexandre Detiste <tchet@debian.org>  Sun, 27 Jul 2025 13:18:11 +0200

check-manifest (0.50-1) unstable; urgency=medium

  * d/watch: Modernize.
  * New upstream version 0.50
  * d/control: Remove bzr from B-D (see bug #1099219).
  * d/p/0002-Skip-bzr-tests.patch: Skip bzr tests.
    For more information, see bug #1099219.
  * d/control: Bump Standards-Version to 4.7.2; no changes needed.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 01 Mar 2025 16:40:05 -0500

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,12 @@
 	       dh-sequence-python3,
 	       python3-all,
 	       python3-setuptools,
-	       python3-toml,
 	       python3-build (>= 0.1),
 	       git <!nocheck>,
 	       mercurial <!nocheck>,
-	       brz <!nocheck>,
 	       subversion <!nocheck>,
 	       python3-pytest <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/mgedmin/check-manifest
 Vcs-Git: https://salsa.debian.org/python-team/packages/check-manifest.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/check-manifest

## check-manifest 0.51

=== Makefile ===
.PHONY: all
all:
	@echo "Nothing to build.  Try 'make help' perhaps?"

##: Testing

.PHONY: test
test:                           ##: run tests
	tox -p auto

.PHONY: check
check:                          ##: run tests without skipping any
# 'make check' is defined in release.mk and here's how you can override it
define check_recipe =
	SKIP_NO_TESTS=1 tox
endef

.PHONY: coverage
coverage:                       ##: measure test coverage
	tox -e coverage

.PHONY: diff-cover
diff-cover: coverage            ##: show untested code in this branch
	coverage xml
	diff-cover coverage.xml

##: Linting

.PHONY: lint
lint:                           ##: run all linters
	tox -p auto -e flake8,mypy,isort,check-manifest,check-python-versions

.PHONY: flake8
flake8:                         ##: check for style problems
	tox -e flake8

.PHONY: isort
isort:                          ##: check for incorrect import ordering
	tox -e isort

.PHONY: mypy
mypy:                           ##: check for type errors
	tox -e mypy

##: GitHub maintenance

.PHONY: update-github-branch-protection-rules

update-github-branch-protection-rules:  ##: update GitHub branch protection rules
	uv run --script .github/update_branch_protection_rules.py

##: Releasing

.PHONY: distcheck
distcheck: distcheck-self  # also release.mk will add other checks

.PHONY: distcheck-self
distcheck-self:
	tox -e check-manifest

.PHONY: releasechecklist
releasechecklist: check-readme  # also release.mk will add other checks

.PHONY: check-readme
check-readme:
	@rev_line='        rev: "'"`$(PYTHON) setup.py --version`"'"' && \
	    ! grep "rev: " README.rst | grep -qv "^$$rev_line$$" || { \
	        echo "README.rst doesn't specify $$rev_line"; \
	        echo "Please run make update-readme"; exit 1; }

.PHONY: update-readme
update-readme:
	sed -i -e 's/rev: ".*"/rev: "$(shell $(PYTHON) setup.py --version)"/' README.rst

FILE_WITH_VERSION = check_manifest.py
include release.mk
HELP_INDENT = "  "

=== debian/changelog ===
check-manifest (0.51-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.51
  * Add debian/salsa-ci.yml
  * Drop "Rules-Requires-Root: no": it is the new default
  * autopkgtest does not need python3-mock anymore

 -- Alexandre Detiste <tchet@debian.org>  Tue, 21 Oct 2025 06:57:21 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Homepage: https://github.com/mgedmin/check-manifest
 Vcs-Git: https://salsa.debian.org/python-team/packages/check-manifest.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/check-manifest
-Rules-Requires-Root: no
 
 Package: check-manifest
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 export PYBUILD_BEFORE_TEST = cp {dir}/tests.py {build_dir}
 export PYBUILD_AFTER_TEST = rm {build_dir}/tests.py
-export PYBUILD_TEST_ARGS = --exclude=test_build_sdist
+export PYBUILD_TEST_ARGS = -k "not test_build_sdist"
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: run-tests
Depends: @,
	 python3-all,
	 python3-setuptools,
	 git,
	 mercurial,
	 brz,
	 subversion,
	 tox,
	 python3-pytest,
Restrictions: allow-stderr, needs-root

=== debian/watch ===
version=4
opts=\
filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
searchmode=plain \
 https://api.github.com/repos/mgedmin/check-manifest/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
